Subject: Re: problems with building a dll with the b18 package
From: [email-masked] (Colin Peters)

28 Nov 1997 01:22:01 -0800
Message-ID: <[email-masked]>
Reply-To: "Colin Peters" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>
Cc: "GNU-Win32" <[email-masked]>

I believe the cygwin.dll does not like being relocated (at least some
others I have talked to say their problems went away when they managed to
fix it so cygwin.dll wasn't relocated). Try setting the base address of
your dll somewhere else or forcing cygwin.dll to be loaded first by
putting explicit -lcygwin before the fooB.a (your DLL's import library) on
your link line. That might work (or might not...).

Colin.

-- Colin Peters -- colin at fu.is.saga-u.ac.jp
-- Saga University Dept. of Information Science
-- http://www.fu.is.saga-u.ac.jp/~colin
-- http://www.geocities.com/Tokyo/Towers/6162

-----Original Message-----

From: [email-masked] <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Friday, November 28, 1997 11:18 AM
Subject: problems with building a dll with the b18 package

>I'm trying to build a dll with the cynwin32 environment. I've tried using
the
>several simple examples from the web page. Should have 'just worked'.
However
>I get a 'illegal write access' or something to that effect when a run the
>results.
>
>I've tried both the relocatable and non-relocateable versions. When I use
>gdb, the dll seems to load. However at some point it fails in a console
>initialization
>routine.
[snip]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".